GOTO :START
@REM ##############################################################################
@REM # Installation script for Microsoft patch day March 2017
@REM # 
@REM # !!! This script is developed to use during basic installation procedure !!!
@REM # !!! A filter 'windows7' and 'X64' is used to select relevant patches    !!!
@REM # 
@REM # OS:           Windows7
@REM # Processor:    X64
@REM # 
@REM # Author:       John,Kolbe
@REM # Department:   Siemens Healthcare GmbH, HC SI DC IN DI1 DEV SC 3
@REM # Release date: 16-MAY-2017
@REM ##############################################################################
:START
SET STARTDIR_PATCH=%~dp0

@REM #################### MAIN ####################


@REM ### MS17-010  CHARM:
call :MSU_INSTALL %STARTDIR_PATCH%MS17-010\windows6.1-kb4012212-x64_2decefaa02e2058dcd965702509a992d8c4e92b3.msu


GOTO :END
@REM ##############################################

:MSU_INSTALL
	ECHO wusa.exe %1 /quiet /norestart /log:C:\temp\VS20A_HF01_LOG\Windows_hotfix_install_VS20A_HF01.evtx
	wusa.exe %1 /quiet /norestart /log:C:\temp\VS20A_HF01_LOG\Windows_hotfix_install_VS20A_HF01.evtx
	IF %ERRORLEVEL% == 0 (

				ECHO "Hotfix %1 is Successfully installed " >> %LOCAL_LOG_FILE%

	) ELSE IF %ERRORLEVEL% == 3010 (

				ECHO "Hotfix %1 is Successfully installed" >> %LOCAL_LOG_FILE%
					
	) ELSE (
				SET ERRORCODE=1
				ECHO "There are somme error in the installation of %1, Please check the installation logs" >> %LOCAL_LOG_FILE%
	)
	%SLEEP15%
GOTO :EOF

:EXE_INSTALL
	ECHO call %1 /q /norestart /log C:\temp\VS220A_HF01_LOG\DotNet_hotfix_install_VS20A_HF01
	call %1 /q /norestart /log C:\temp\VS20A_HF01_LOG\DotNet_hotfix_install_VS20A_HF01
	IF %ERRORLEVEL% == 0 (

				ECHO "Hotfix %1 is Successfully installed " >> %LOCAL_LOG_FILE%

	) ELSE IF %ERRORLEVEL% == 3010 (

				ECHO "Hotfix %1 is Successfully installed" >> %LOCAL_LOG_FILE%
					
	) ELSE (
				SET ERRORCODE=1
				ECHO "There are somme error in the installation of %1, Please check the installation logs" >> %LOCAL_LOG_FILE%
	)
	%SLEEP15%
GOTO :EOF

:INST_CERT
  ECHO certutil -addstore root "%1"
  certutil -addstore root "%1"
GOTO :EOF

:MSI_INSTALL
  ECHO call msiexec /i %1 /quiet /norestart
  call msiexec /i %1 /quiet /norestart
  %SLEEP15%
GOTO :EOF

:END
