@echo off

ECHO Call installation script of each MS Hotfix Patch Day ...

SET SLEEP15=sleep 15
SET ERRORCODE=0
SET LOCAL_LOG_FILE=C:\temp\VS20A_HF01_LOG\install.log
SET LOCAL_VERSION_FILE="%MEDHOME%\config\InstalledPatchVersion"

IF DEFINED SLEEP SET SLEEP15=%SLEEP% 15000

mkdir C:\temp\VS20A_HF01_LOG

REM start Windows upate service
sc config "wuauserv" start= demand>NUL
sc start "wuauserv">NUL

SET STARTDIR=%~dp0
SET INSTALLMSHOTFIXES=install_MsHotfixes.cmd

SET PATCHDAY=201703
CALL :INSTALL_PATCHDAY


GOTO :END

:INSTALL_PATCHDAY
SET CMD=%STARTDIR%MS-PATCH-%PATCHDAY%\%INSTALLMSHOTFIXES%
IF /I EXIST %CMD% CALL %CMD%
GOTO :EOF

:END
@ECHO The batch file is returning with the errorcode as %ERRORCODE% >> %LOCAL_LOG_FILE%
@IF %ERRORCODE% == 0 (
	@ECHO Installation completed successfully.
	@ECHO VS20A_HF01_Beta1 >> %LOCAL_VERSION_FILE%
) ELSE (
	@ECHO Installation encountered error, check the installation log file.
	@ECHO "There are some error(s) in the installation, check the return codes in this log file." >> %LOCAL_LOG_FILE%
)

REM Stop Windows update service
sc stop "wuauserv" >NUL
sc config "wuauserv" start= disabled >NUL

EXIT /B %ERRORCODE%